summaryrefslogtreecommitdiff
path: root/test/full-pipeline/run-full-pipeline.sh
diff options
context:
space:
mode:
authorDavid Phillips <david@sighup.nz>2019-08-01 23:12:34 +1200
committerDavid Phillips <david@sighup.nz>2019-08-03 12:44:12 +1200
commit28d6a88c02f10b75fb4c5cb46178d2ef71629494 (patch)
treeecea67672dfc7cb638e9c8bd474850094ca5064b /test/full-pipeline/run-full-pipeline.sh
parent15b556038033821aa85392f4013d68999f14e231 (diff)
downloadtoy-cpu-assembler-28d6a88c02f10b75fb4c5cb46178d2ef71629494.tar.xz
Refactor disassembler to move data through instruction list
This refactors the disassembler into two stages with the list of struct instruction (currently also output by the parse stage) as an "intermediate language" between disassembly and assembler output. This should make these units, especially the "machine code => IL" section, more reusable for future soft emulation work.
Diffstat (limited to 'test/full-pipeline/run-full-pipeline.sh')
-rwxr-xr-xtest/full-pipeline/run-full-pipeline.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/full-pipeline/run-full-pipeline.sh b/test/full-pipeline/run-full-pipeline.sh
index 8598a8d..aeb7c4f 100755
--- a/test/full-pipeline/run-full-pipeline.sh
+++ b/test/full-pipeline/run-full-pipeline.sh
@@ -45,7 +45,7 @@ for first_stage_asm in *.asm ; do
fi
# Disassemble test code and re-assemble that disassembly
- if ! "$DISASM" "$first_stage_bin" > "$second_stage_asm" ; then
+ if ! "$DISASM" "$first_stage_bin" "$second_stage_asm" ; then
fail "$first_stage_asm" "first stage disassembly failed"
continue
fi